- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GSmtp::FactoryParser Class Reference

A simple class to parse identifiers that can be a program in the file system or a network address. More...

`#include <gfactoryparser.h>`

## Static Public Member Functions
static std::pair< std::string, std::string > | parse (const std::string &address, const std::string &)
| Parses an identifier. More...
static std::string | check (const std::string &address, const std::string &)
| Parses and checks an identifier. More...

## Detailed Description

A simple class to parse identifiers that can be a program in the file system or a network address.

Definition at line 39 of file gfactoryparser.h.

## Member Function Documentation

std::string GSmtp::FactoryParser::check | ( | const std::string & | address,
|  | const std::string & | extra_net_prefix
| ) |  |
| static

Parses and checks an identifier.

Returns a diagnostic or the empty string if valid.

Definition at line 59 of file gfactoryparser.cpp.

References G::Executable::exe(), G::File::executable(), G::File::exists(), G::Path::isAbsolute(), G::Str::isUInt(), and GNet::Resolver::parse().

Referenced by GSmtp::ProcessorFactory::check(), and GSmtp::VerifierFactory::check().

std::pair< std::string, std::string > GSmtp::FactoryParser::parse | ( | const std::string & | address,
|  | const std::string & | extra_net_prefix
| ) |  |
| static

Parses an identifier.

Definition at line 29 of file gfactoryparser.cpp.

References G_DEBUG, and G::Str::tail().

Referenced by GSmtp::ProcessorFactory::newProcessor(), and GSmtp::VerifierFactory::newVerifier().

The documentation for this class was generated from the following files:

- gfactoryparser.h
- gfactoryparser.cpp